# RPM specfile for ammonite module
# Generated Sat Apr 21 11:47:13 2001 GMT by Ximian build system
# $Id: bb_do,v 1.107 2001/04/21 04:27:12 frb Exp $
# from $Id: helix-build.conf,v 1.7 2001/03/19 15:34:38 peter Exp $

%define nam	ammonite
%define ver	1.0.0

Name:     	ammonite
Version: 	1.0.0
Release:	ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 6.2 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/doc
URL:		http://nautilus.eazel.com/
Source0:	ammonite-1.0.0.tar.gz
Summary:	client-side HTTP proxy for Eazel Services (eazel-proxy)
Group:		User Interface/Desktop

%description
Ammonite is a client-side HTTP proxy that implements special features needed
for the Eazel Service user authentication system.  It's primary purpose is to
consolidate Eazel Service session information across Eazel Service client
side components (often called "Trilobites") and to tunnel all HTTP traffic
inside an SSL tunnel.

Ammonite's features are largely Eazel-service specific, but some of the
functionality may be useful in other contexts.  If you're interested in
applying Ammonite to another task, feel free to contact the maintainers as
they may be interested in aiding you.

%files
%defattr(-, root, root)
/usr/bin/eazel-proxy
/usr/bin/eazel-proxy-util
/etc/vfs/modules/*.conf
/usr/share/oaf/*.oaf
/usr/share/nautilus/certs/*
/usr/share/idl/*.idl
/usr/share/pixmaps/nautilus/*.png
/usr/*/locale/*/LC_MESSAGES/*


%package -n ammonite-devel
Summary:	Development files for ammonite (eazel-proxy)
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}

%description -n ammonite-devel
Ammonite is a client-side HTTP proxy that implements special features needed
for the Eazel Service user authentication system.  It's primary purpose is to
consolidate Eazel Service session information across Eazel Service client
side components (often called "Trilobites") and to tunnel all HTTP traffic
inside an SSL tunnel.

Ammonite's features are largely Eazel-service specific, but some of the
functionality may be useful in other contexts.  If you're interested in
applying Ammonite to another task, feel free to contact the maintainers as
they may be interested in aiding you.

%files -n ammonite-devel
%defattr(-, root, root)
/usr/lib/*a
/usr/lib/*Conf.sh
/usr/include/libtrilobite


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n ammonite-1.0.0
    ;;
all)
%setup  -q -n ammonite-1.0.0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export MAKE RPM_COMMAND DESTDIR
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/man --infodir=/usr/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/man infodir=${DESTDIR}/usr/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
